#ifndef __KANT_PARSER_H__
#define __KANT_PARSER_H__

enum ErrorType
{
	kNoError=0, kNoReferenceName, kBadReference, kBadChoiceFormat, kBadOptionalFormat,
		kNoInstantiations, kBadBackslash, kUserCancelled
};

void InitTheParser(WindowPtr theWindow, short rawStart, short rawEnd);
enum ErrorType ParseLoop(void);

#endif
